public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Florian Schmaus" <flow@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-tex/hevea/
Date: Mon, 18 Mar 2024 13:43:23 +0000 (UTC)	[thread overview]
Message-ID: <1710769390.d133270058d45f273f30170e13049576a20a7bc2.flow@gentoo> (raw)

commit:     d133270058d45f273f30170e13049576a20a7bc2
Author:     Florian Schmaus <flo <AT> geekplace <DOT> eu>
AuthorDate: Mon Mar 18 13:25:59 2024 +0000
Commit:     Florian Schmaus <flow <AT> gentoo <DOT> org>
CommitDate: Mon Mar 18 13:43:10 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d1332700

dev-tex/hevea: add 2.36

Closes: https://bugs.gentoo.org/927003
Signed-off-by: Florian Schmaus <flow <AT> gentoo.org>

 dev-tex/hevea/Manifest          |  1 +
 dev-tex/hevea/hevea-2.36.ebuild | 70 +++++++++++++++++++++++++++++++++++++++++
 2 files changed, 71 insertions(+)

diff --git a/dev-tex/hevea/Manifest b/dev-tex/hevea/Manifest
index fa43aedd0b3a..c7e259115d4c 100644
--- a/dev-tex/hevea/Manifest
+++ b/dev-tex/hevea/Manifest
@@ -1 +1,2 @@
 DIST hevea-2.35.tar.gz 1006773 BLAKE2B 80a8f80955a4eee641c53784cbe4543072062d0bf4d757fe0c8270d6370d54495eeab3a9279bd992dc45b80b23de0438ee4fe6fa932981c777b25782c42ca4a8 SHA512 dc1a5179489626176b1fcae47a9c7eb4cf9c1c6127c749cb938808697ccd6179277089fb20f4d5da7b82056d15b1d64acd9ba9884d1950a74d98c98864b4180a
+DIST hevea-2.36.tar.gz 1007317 BLAKE2B d8e6d3490b02b990e992a343a287ae5ff1f32624722760df52aa703d8989ef802b9f297ec97576b96937edb70d1a35910ba11fd88ac675254368451ee68ad044 SHA512 9335666f5f77ff33b61ef3817feaff6e58ff9896a4e1478ecab893086177f66420020c174594ff0290c2c19ea5a46f52a03daf50e6e502dc9c2f2545463effa2

diff --git a/dev-tex/hevea/hevea-2.36.ebuild b/dev-tex/hevea/hevea-2.36.ebuild
new file mode 100644
index 000000000000..51948f1e861c
--- /dev/null
+++ b/dev-tex/hevea/hevea-2.36.ebuild
@@ -0,0 +1,70 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DESCRIPTION="HeVeA is a quite complete and fast LaTeX to HTML translator"
+HOMEPAGE="https://hevea.inria.fr/"
+SRC_URI="https://hevea.inria.fr/distri/${P}.tar.gz"
+
+LICENSE="QPL-1.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~x86"
+IUSE="+ocamlopt"
+
+# - hevea's imagen script calls gs from app-text/ghostscript-gpl, hence
+#   the RDEPEND (https://bugs.gentoo.org/927003).
+DEPEND=">=dev-lang/ocaml-3.12:=[ocamlopt=]"
+RDEPEND="
+	${DEPEND}
+	app-text/ghostscript-gpl
+	dev-texlive/texlive-latexextra
+"
+BDEPEND="dev-ml/ocamlbuild"
+
+# bug #734350
+QA_FLAGS_IGNORED=(
+	/usr/bin/bibhva
+	/usr/bin/hevea
+	/usr/bin/esponja
+	/usr/bin/hacha
+)
+
+src_compile() {
+	rm -f config.sh || die
+
+	emake PREFIX=/usr DESTDIR="${D}" LIBDIR="/usr/$(get_libdir)/hevea" LATEXLIBDIR="/usr/share/texmf-site/tex/latex/hevea" config.sh
+
+	if use ocamlopt; then
+		emake PREFIX=/usr
+	else
+		emake PREFIX=/usr TARGET=byte
+	fi
+}
+
+src_install() {
+	if use ocamlopt; then
+		emake DESTDIR="${ED}" PREFIX=/usr install
+	else
+		emake DESTDIR="${ED}" PREFIX=/usr TARGET=byte install
+	fi
+
+	dodoc README CHANGES
+}
+
+# If texmf-update is present this means we have a latex install; update it so
+# that hevea.sty can be found
+# Do not (r)depend on latex though because hevea does not need it itself
+# If latex is installed later, it will see hevea.sty
+
+pkg_postinst() {
+	if [[ -z "${ROOT}" ]] && [[ -x "${EPREFIX}"/usr/sbin/texmf-update ]] ; then
+		"${EPREFIX}"/usr/sbin/texmf-update || die "texmf-update returned non-zero exit status ${?}"
+	fi
+}
+
+pkg_postrm() {
+	if [[ -z "${ROOT}" ]] && [[ -x "${EPREFIX}"/usr/sbin/texmf-update ]] ; then
+		"${EPREFIX}"/usr/sbin/texmf-update || die "texmf-update returned non-zero exit status ${?}"
+	fi
+}


             reply	other threads:[~2024-03-18 13:43 UTC|newest]

Thread overview: 27+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2024-03-18 13:43 Florian Schmaus [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-03-19 14:12 [gentoo-commits] repo/gentoo:master commit in: dev-tex/hevea/ Florian Schmaus
2021-07-16  5:34 Sam James
2021-05-13 16:12 Ulrich Müller
2021-02-21  0:46 Sam James
2021-02-19  2:41 Sam James
2021-02-18  8:28 Sam James
2021-02-17  3:56 Sam James
2021-02-10 16:33 Sam James
2021-01-16 21:12 Sam James
2021-01-16 21:12 Sam James
2020-12-20 19:28 Sam James
2020-12-20 19:07 Thomas Deutschmann
2020-12-17 16:41 Agostino Sarubbo
2020-12-17  7:51 Sam James
2017-10-18 10:06 Alexis Ballier
2017-07-29 10:06 Alexis Ballier
2017-06-26 19:05 Alexis Ballier
2017-04-05 17:50 Markus Meier
2017-02-24 14:25 Alexis Ballier
2017-02-17 10:56 Agostino Sarubbo
2017-02-16 13:25 Agostino Sarubbo
2016-08-03 10:25 Alexis Ballier
2016-07-22  9:15 Alexis Ballier
2016-07-22  9:15 Alexis Ballier
2016-01-07  7:49 Alexis Ballier
2015-12-11 11:28 Alexis Ballier

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1710769390.d133270058d45f273f30170e13049576a20a7bc2.flow@gentoo \
    --to=flow@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox